/*
TrussTopologyRobustRedundant - erstelle_lp

Author: Daniel Mohr
Date: 2012-02-29
*/

#ifndef ttrr_erstelle_lp_h
#define ttrr_erstelle_lp_h

#include <stdlib.h>
#include <assert.h>
#include <glpk.h>

#include "ttrr_structs.h"

void erstelle_lp_intern(glp_prob *lp,const char *name,const struct sparse_matrix *A,const struct double_vektor *b,const struct sparse_matrix *Aeq,const struct double_vektor *beq,const struct double_vektor *lb,const struct double_vektor *ub,const struct double_vektor *z);

void erstelle_lp(glp_prob *lp,const char *name,const struct sparse_matrix *A,const struct double_vektor *b,const struct sparse_matrix *Aeq,const struct double_vektor *beq,const struct double_vektor *lb,const struct double_vektor *ub,const struct double_vektor *z);

void erstelle_lpmip(glp_prob *lpmip,const char *name,const struct sparse_matrix *A,const struct double_vektor *b,const struct sparse_matrix *Aeq,const struct double_vektor *beq,const struct double_vektor *lb,const struct double_vektor *ub,const struct double_vektor *z,const int redundanz,const struct int_matrix *staebe);

#endif /* ttrr_erstelle_lp_h */
