/*
TrussTopologyRobustRedundant - lesen

Author: Daniel Mohr
Date: 2012-02-11
*/

#ifndef ttrr_lesen_h
#define ttrr_lesen_h

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>

#include "ttrr_structs.h"
#include "ttrr_schreiben_lesen.h"

void lese_int(int *variable,FILE *fd);
void lese_double(double *variable,FILE *fd);
void lese_int_from(const char *pathname,const char *filename,int *variable);
void lese_double_from(const char *pathname,const char *filename,double *variable);
void lese_matrix_int(const char *pathname,const char *filename,struct int_matrix *A);
void lese_matrix_double(const char *pathname,const char *filename,struct double_matrix *A);
void lese_vektor(const char *pathname,const char *filename,struct int_vektor *b);
void lese_sparse_matrix(const char *pathname,const char *filename,struct sparse_matrix *kraefte);
void lese_string(const char *pathname,const char *filename,char **variable,int l);

#endif /* ttrr_lesen_h */
