/*
TrussTopologyRobustRedundant - tools

Author: Daniel Mohr
Date: 2012-02-11
*/

#ifndef min
#define min(a,b) (((a) < (b)) ? (a) : (b))
#endif

#ifndef max
#define max(a,b) (((a) > (b)) ? (a) : (b))
#endif

#ifndef square
#define square(x) (x*x)
#endif

#ifndef squarel
#define squarel(x) (x*x)
#endif

#ifndef ttrr_tools_h
#define ttrr_tools_h

#include <stdlib.h>
#include <stdio.h>
#include <assert.h>
#include <math.h>
#include <glpk.h>

#include "ttrr_structs.h"

void berechne_abstaende(long double *dx,long double *dy,long double *dz,int a,int b,const struct double_matrix *knoten,const struct int_matrix *staebe);
void print_int_vektor(const char *name,struct int_vektor *vektor);
void print_double_vektor(const char *name,struct double_vektor *vektor);
void print_sparse_matrix(const char *name,struct sparse_matrix *A);
void hole_mip_solution(struct double_vektor *solution,struct int_vektor *x,struct double_vektor *w,struct double_vektor *s,glp_prob *lpmip);

#endif /* ttrr_tools_h */
