/*
TrussTopologyRobustRedundant - berechne_zielfunktion

Author: Daniel Mohr
Date: 2012-02-29
*/

#include "ttrr_berechne_zielfunktion.h"

void berechne_zielfunktion(struct double_vektor *z,const int redundanz,const struct sparse_matrix *kraefte,const struct int_matrix *staebe,const struct double_vektor *laengen)
{
  int red,r,i;
  printf("berechne Zielfunktion...");fflush(NULL);
  red = abs(redundanz);
  if (red == 0)
    red = 1;
  z->n = abs(redundanz) * staebe->n + kraefte->m * red * staebe->n + red * staebe->n;
  z->val = (double*)calloc(z->n,sizeof(double));assert(z->val != NULL);
  for(r = 0; r < red; r++)
    for(i = 0; i < laengen->n; i++)
      z->val[abs(redundanz) * staebe->n + kraefte->m * red * staebe->n + r * staebe->n + i] = laengen->val[i];
  printf("Zielfunktion berechnet\n");
}
