/*
TrussTopologyRobustRedundant - schreiben

Author: Daniel Mohr
Date: 2012-02-21
*/

#ifndef ttrr_schreiben_h
#define ttrr_schreiben_h

#include <stdio.h>
#include <stdlib.h>
#include <glpk.h>

#include "ttrr_structs.h"
#include "ttrr_schreiben_lesen.h"

void schreibe_int(int *variable,FILE *fd);
void schreibe_double(double *variable,FILE *fd);
void schreibe_double_vektor(const char *pathname,const char *filename,struct double_vektor *b);
void schreibe_int_vektor(const char *pathname,const char *filename,struct int_vektor *b);
void schreibe_sparse_matrix(const char *pathname,const char *filename,struct sparse_matrix *A);
void schreibe_lp(const char *pathname,glp_prob *lp,const char *name);
void schreibe_lp_solution(const char *pathname,glp_prob *lp,const char *name,const int redundanz, const int opt);
void schreibe_double_file(const char *pathname,const char *filename,double *wert);

#endif /* ttrr_schreiben_h */
