/*
TrussTopologyRobustRedundant - skaliere_steilster_abstieg

Author: Daniel Mohr
Date: 2012-02-29

Dies funktioniert nicht wirklich
*/

#ifndef ttrr_skaliere_steilster_abstieg_h
#define ttrr_skaliere_steilster_abstieg_h

#include <stdlib.h>
#include <assert.h>
#include <math.h>

#include "ttrr_structs.h"
#include "ttrr_tools.h"

double skaliere_berechne_faktoren_intern(const double x,const double y,const double z,const double a,const double b,const double c);

void skaliere_berechne_faktoren(double *alpha,double *beta,double *gamma,const double a,const double b,const double c);

void skaliere(double *alpha,double *beta,double *gamma,struct sparse_matrix *A,struct double_vektor *b,struct sparse_matrix *Aeq,struct double_vektor *beq,struct double_vektor *lb,struct double_vektor *ub,struct double_vektor *z,const int redundanz,const struct int_matrix *staebe,const struct sparse_matrix *kraefte,const double sigma,const struct sparse_matrix *C,const double smax);

struct scale_info{struct sparse_matrix *A;struct double_vektor *b;struct sparse_matrix *Aeq;struct double_vektor *beq;struct double_vektor *lb;struct double_vektor *ub;struct double_vektor *z;double *fz;double *fs;int n;double *tfz;double *tfs;};
void scale_fn_min_max_sparse_matrix(double *minwert,double *maxwert,struct sparse_matrix *A,double *fs,double *fz,int offset);
void scale_fn_min_max_double_vektor(double *minwert,double *maxwert,struct double_vektor *b,double *fs,double *fz,int offset);
double scale_fn(double *fs,double *fz,struct sparse_matrix *A,struct double_vektor *b,struct sparse_matrix *Aeq,struct double_vektor *beq,struct double_vektor *lb,struct double_vektor *ub,struct double_vektor *z);
double scale_fn_dummy(double *x,void *info);

void steilster_abstieg_grad(double *gw,double (*f) (double *x,void *info),double *x,int n,double h,void *info);
void steilster_abstieg(double (*f) (double *x,void *info),double *x,int n,int maxit,double tol,double gradtol,void *info);

void scale(double *fs,double *fb,struct sparse_matrix *A,struct double_vektor *b,struct sparse_matrix *Aeq,struct double_vektor *beq,struct double_vektor *lb,struct double_vektor *ub,struct double_vektor *z);

#endif /* ttrr_skaliere_steilster_abstieg_h */
