/*
TrussTopologyRobustRedundant - structs

Author: Daniel Mohr
Date: 2012-02-21
*/

#ifndef ttrr_structs_h
#define ttrr_structs_h

#include <stdlib.h>
#include <stdio.h>
#include <assert.h>

struct sparse_matrix{int i,n,m,nz,*ia,*ja;double *ar;};
struct int_matrix{int n,m;int **val;};
struct double_matrix{int n,m;double **val;};
struct int_vektor{int i,n;int *val;};
struct double_vektor{int i,n;double *val;};
struct cb_info{int opt,n,N,nl,nx,nw,ns,mipsols;char *pfad;struct int_vektor x;struct double_vektor solution,w,s;};

void definiere_sparse_matrix(struct sparse_matrix *A);
void initialisiere_wert_sparse_matrix(struct sparse_matrix *A,const int i,const struct sparse_matrix *B,const int j);
void sparse_matrix_zeilenreduktion(struct sparse_matrix *A,const struct int_vektor *zeilen);
void initialisiere_null_double_matrix(struct double_matrix *A);
void initialisiere_null_int_matrix(struct int_matrix *A);
void initialisiere_null_int_vektor(struct int_vektor *x);
void initialisiere_null_double_vektor(struct double_vektor *x);
void initialisiere_null_sparse_matrix(struct sparse_matrix *A);

#endif /* ttrr_structs_h */
